Module tdlight.api
Package it.tdlight.jni

# Class TdApi.StoryInteractionInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.StoryInteractionInfo

Enclosing class:
  TdApi

public static final class TdApi.StoryInteractionInfo extends TdApi.Object
Contains information about interactions with a story.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`forwardCount`
Number of times the story was forwarded; 0 if none or unknown.
`int`
`reactionCount`
Number of reactions added to the story; 0 if none or unknown.
`long[]`
`recentViewerUserIds`
Identifiers of at most 3 recent viewers of the story.
`int`
`viewCount`
Number of times the story was viewed.

## Constructor Summary

Constructors
Constructor
Description
`StoryInteractionInfo()`
Contains information about interactions with a story.
`StoryInteractionInfo(int viewCount, int forwardCount, int reactionCount, long[] recentViewerUserIds)`
Contains information about interactions with a story.
`StoryInteractionInfo(DataInput input)`
Contains information about interactions with a story.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### viewCount

public int viewCount
Number of times the story was viewed.

### forwardCount

public int forwardCount
Number of times the story was forwarded; 0 if none or unknown.

### reactionCount

public int reactionCount
Number of reactions added to the story; 0 if none or unknown.

### recentViewerUserIds

public long[] recentViewerUserIds
Identifiers of at most 3 recent viewers of the story.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### StoryInteractionInfo

public StoryInteractionInfo()
Contains information about interactions with a story.

### StoryInteractionInfo

public StoryInteractionInfo(int viewCount, int forwardCount, int reactionCount, long[] recentViewerUserIds)
Contains information about interactions with a story.

Parameters:
  `viewCount` - Number of times the story was viewed.
  `forwardCount` - Number of times the story was forwarded; 0 if none or unknown.
  `reactionCount` - Number of reactions added to the story; 0 if none or unknown.
  `recentViewerUserIds` - Identifiers of at most 3 recent viewers of the story.

### StoryInteractionInfo

public StoryInteractionInfo(DataInput input) throws IOException
Contains information about interactions with a story.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`